package com.yunfeiyun.agmp.common.enums;


public enum RedisLockKey {

    STOCK_CHANGE_BIZ_LOCK(RedisCacheKey.WMS_STOCK_CHANGE_LOCK,"库存变动业务锁"),
    RES_EXPIRE_BIZ_LOCK(RedisCacheKey.SYS_RES_EXPIRE_LOCK,"资源数据业务锁"),
    ;

    private final RedisCacheKey redisCacheKey;
    private final String label;

    RedisLockKey(RedisCacheKey redisCacheKey, String label)
    {
        this.redisCacheKey = redisCacheKey;
        this.label = label;

    }

    public RedisCacheKey getRedisCacheKey()
    {
        return redisCacheKey;
    }
    public String getLabel(){
        return label;
    }

}
